Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Search\Elasticsearch\Content\Extractor Class Reference

Abstract implementation of Search Extractor, which extracts search result from the data returned by Elasticsearch index. More...

Inheritance diagram for eZ\Publish\Core\Search\Elasticsearch\Content\Extractor:

## Public Member Functions
| __construct (FacetBuilderVisitor $facetBuilderVisitor)
| extract ($data)
| Extracts search result from $data returned by Elasticsearch. More...
| extractHit ($hit)
| Extracts value object from $hit returned by Elasticsearch. More...

## Protected Attributes
| $facetBuilderVisitor

## Detailed Description

Abstract implementation of Search Extractor, which extracts search result from the data returned by Elasticsearch index.

Deprecated:

Definition at line 18 of file Extractor.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Search\Elasticsearch\Content\Extractor::__construct | ( | FacetBuilderVisitor | $facetBuilderVisitor | ) |

Definition at line 27 of file Extractor.php.

References eZ\Publish\Core\Search\Elasticsearch\Content\Extractor\$facetBuilderVisitor.

## Member Function Documentation

## ◆ extract()

eZ\Publish\Core\Search\Elasticsearch\Content\Extractor::extract | ( |  | $data | ) |

Extracts search result from $data returned by Elasticsearch.

Parameters

  mixed | $data |

Returns
  \eZ\Publish\API\Repository\Values\Content\Search\SearchResult

Definition at line 39 of file Extractor.php.

## ◆ extractHit()

eZ\Publish\Core\Search\Elasticsearch\Content\Extractor::extractHit | ( |  | $hit | ) |
| abstract

Extracts value object from $hit returned by Elasticsearch.

Needs to be implemented by concrete Extractor.

Parameters

  mixed | $hit |

Returns
  \eZ\Publish\API\Repository\Values\ValueObject

Reimplemented in eZ\Publish\Core\Search\Elasticsearch\Content\Extractor\Loading.

## Member Data Documentation

## ◆ $facetBuilderVisitor

eZ\Publish\Core\Search\Elasticsearch\Content\Extractor::$facetBuilderVisitor
| protected

Definition at line 25 of file Extractor.php.

Referenced by eZ\Publish\Core\Search\Elasticsearch\Content\Extractor\Loading\__construct(), and eZ\Publish\Core\Search\Elasticsearch\Content\Extractor\__construct().

The documentation for this class was generated from the following file:

- Extractor.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.